unit uDatosBancariosEmpresaController;

interface

uses
  Windows, Forms, Classes, Controls, Contnrs, SysUtils, uDADataTable,
  uBizEmpresas, uBizEmpresasDatosBancarios, uIDataModuleEmpresas,
  uControllerBase;

type
  IDatosBancariosEmpresaController = interface(IControllerBase)
  ['{E9B0313E-7B16-420A-B47E-20E42E96BAC6}']
    procedure Ver(ADatosBancarios : IBizEmpresasDatosBancarios);
  end;

  TDatosBancariosEmpresaController = class(TControllerBase, IDatosBancariosEmpresaController)
  private
    FDataModule : IDataModuleEmpresas;
  public
    procedure Ver(ADatosBancarios : IBizEmpresasDatosBancarios);
    constructor Create; override;
    destructor Destroy; override;
  end;

implementation

{ TDatosBancariosEmpresaController }

uses
  uDataModuleEmpresas, schEmpresasClient_Intf, uIEditorDatosBancarioEmpresa,
  uEditorRegistryUtils, cxControls;

constructor TDatosBancariosEmpresaController.Create;
begin
  inherited;
//  FDataModule := TDataModuleEmpresas.Create(Nil);
end;

destructor TDatosBancariosEmpresaController.Destroy;
begin
  FDataModule := Nil;
  inherited;
end;

procedure TDatosBancariosEmpresaController.Ver(ADatosBancarios : IBizEmpresasDatosBancarios);
var
  AEditor : IEditorDatosBancariosEmpresa;
begin
  AEditor := NIL;
  CreateEditor('EditorDatosBancariosEmpresa', IEditorDatosBancariosEmpresa, AEditor);
  if Assigned(AEditor) then
  begin
     try
      AEditor.DatosBancarios := ADatosBancarios;
      AEditor.Controller := Self;
      AEditor.ShowModal;
     finally
      AEditor.Release;
      AEditor := NIL;
     end;
  end;
end;

end.
